from api_events.tasks2events.default_abstract import AddEventFunctionality


class BuildMeetingWriter(AddEventFunctionality):
    service_code = "SRO-MT-WRT"
    related_code = "MT-WRT"
    events = [
        {"function_code": "dce10509-0da5-46fb-af3c-a81d54d5481c"},
        {"function_code": "eb36de59-8268-4d96-80b6-5d01c12bf0b1"},
        {"function_code": "5c10d6ae-2aee-4243-a7c3-94826d028d13"},
    ]

    def __new__(cls, *args, **kwargs):
        return super().retrieve_events(cls.events)
